curl --request POST \
--url https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"voucherSetId": 2030,
"periodStartsAt": "2026-11-30T23:00:00Z",
"termsDigest": "9a17e3c5b7d9f1a3c5e7a9b1d3f5a7c9e1b3d5f7a9c1e3b5d7f9a1c3e5b7d9f1"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
voucherSetId: 2030,
periodStartsAt: '2026-11-30T23:00:00Z',
termsDigest: '9a17e3c5b7d9f1a3c5e7a9b1d3f5a7c9e1b3d5f7a9c1e3b5d7f9a1c3e5b7d9f1'
}
]
})
};
fetch('https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances"
payload = { "items": [
{
"voucherSetId": 2030,
"periodStartsAt": "2026-11-30T23:00:00Z",
"termsDigest": "9a17e3c5b7d9f1a3c5e7a9b1d3f5a7c9e1b3d5f7a9c1e3b5d7f9a1c3e5b7d9f1"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"items\": [\n {\n \"voucherSetId\": 2030,\n \"periodStartsAt\": \"2026-11-30T23:00:00Z\",\n \"termsDigest\": \"9a17e3c5b7d9f1a3c5e7a9b1d3f5a7c9e1b3d5f7a9c1e3b5d7f9a1c3e5b7d9f1\"\n }\n ]\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances"
payload := strings.NewReader("{\n \"items\": [\n {\n \"voucherSetId\": 2030,\n \"periodStartsAt\": \"2026-11-30T23:00:00Z\",\n \"termsDigest\": \"9a17e3c5b7d9f1a3c5e7a9b1d3f5a7c9e1b3d5f7a9c1e3b5d7f9a1c3e5b7d9f1\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'items' => [
[
'voucherSetId' => 2030,
'periodStartsAt' => '2026-11-30T23:00:00Z',
'termsDigest' => '9a17e3c5b7d9f1a3c5e7a9b1d3f5a7c9e1b3d5f7a9c1e3b5d7f9a1c3e5b7d9f1'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Accept Price Terms
Records your acceptance of the current or upcoming Price Terms periods of visible voucher sets. Dashboard users only: accept-consumer-pricing cannot be delegated, so API keys get 403 missing-permission, and AllRide cannot accept for you; a recent sign-in is required. All-or-nothing: if any item’s terms changed in the meantime, the answer is 409 price-terms-changed and nothing is recorded. Accepting the same terms again returns created: false. Acceptances are immutable and appear in your audit log. See Prices and price acceptance.
Required permissions: accept-consumer-pricing · API keys: not allowed · Recent sign-in: required for dashboard users (15 minutes)
curl --request POST \
--url https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"voucherSetId": 2030,
"periodStartsAt": "2026-11-30T23:00:00Z",
"termsDigest": "9a17e3c5b7d9f1a3c5e7a9b1d3f5a7c9e1b3d5f7a9c1e3b5d7f9a1c3e5b7d9f1"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
voucherSetId: 2030,
periodStartsAt: '2026-11-30T23:00:00Z',
termsDigest: '9a17e3c5b7d9f1a3c5e7a9b1d3f5a7c9e1b3d5f7a9c1e3b5d7f9a1c3e5b7d9f1'
}
]
})
};
fetch('https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances"
payload = { "items": [
{
"voucherSetId": 2030,
"periodStartsAt": "2026-11-30T23:00:00Z",
"termsDigest": "9a17e3c5b7d9f1a3c5e7a9b1d3f5a7c9e1b3d5f7a9c1e3b5d7f9a1c3e5b7d9f1"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"items\": [\n {\n \"voucherSetId\": 2030,\n \"periodStartsAt\": \"2026-11-30T23:00:00Z\",\n \"termsDigest\": \"9a17e3c5b7d9f1a3c5e7a9b1d3f5a7c9e1b3d5f7a9c1e3b5d7f9a1c3e5b7d9f1\"\n }\n ]\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances"
payload := strings.NewReader("{\n \"items\": [\n {\n \"voucherSetId\": 2030,\n \"periodStartsAt\": \"2026-11-30T23:00:00Z\",\n \"termsDigest\": \"9a17e3c5b7d9f1a3c5e7a9b1d3f5a7c9e1b3d5f7a9c1e3b5d7f9a1c3e5b7d9f1\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'items' => [
[
'voucherSetId' => 2030,
'periodStartsAt' => '2026-11-30T23:00:00Z',
'termsDigest' => '9a17e3c5b7d9f1a3c5e7a9b1d3f5a7c9e1b3d5f7a9c1e3b5d7f9a1c3e5b7d9f1'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Headers
Optional key (1-255 printable ASCII characters, no spaces; a UUID is ideal) that makes this POST safe to retry: the same key with the same request replays the stored response for 24 hours. See Idempotency.
1 - 255^[\x21-\x7E]{1,255}$Body
Price Terms periods to accept.
Periods to accept, 1-200, unique by voucher set and period. All-or-nothing.
1 - 200 elementsShow child attributes
Show child attributes
Response
Created
Single-object envelope around a PriceAcceptanceBatch.
Result of accepting Price Terms.
Show child attributes
Show child attributes